[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#416207: marked as done (libarts1c2a: /usr/bin/artsd dies with Assertion `pcm' failed.)

Your message dated Sat, 6 Mar 2010 08:16:50 -0500
with message-id <9f694b821003060516i15d109cakebae5731c0b4214a@mail.gmail.com>
and subject line Closing Debian bug # 416207
has caused the Debian Bug report #416207,
regarding libarts1c2a: /usr/bin/artsd dies with Assertion `pcm' failed.
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

416207: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=416207
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: libarts1c2a
Version: 1.5.5-1
Severity: important

I'm having difficulty using arts with alsa on my box (etch).

When I first try to run it this is what I get:

-- 8< --
matlads@igloo:~$ artsd
artsd: pcm.c:695: snd_pcm_close: Assertion `pcm' failed.
-- >8 --

Any other attempts to run it after that I get:

-- 8< --
matlads@igloo:/etc/apt$ artsd
unix_connect: can't connect to server (unix:/tmp/ksocket-matlads/igloo.ds.co.ug-248d-4606ddb7)
artsd: pcm.c:695: snd_pcm_close: Assertion `pcm' failed.
-- >8 --

When I use kde's control center and specify ALSA as the audio device, I get crash 
dialogs. This is what initially set me off trying to find the solution.

Any solutions for me?

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.18-4-k7
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)

Versions of packages libarts1c2a depends on:
ii  libartsc0                 1.5.5-1        aRts sound system C support librar
ii  libasound2                1.0.13-2       ALSA library
ii  libaudio2                 1.8-3          The Network Audio System (NAS). (s
ii  libaudiofile0             0.2.6-6        Open-source version of SGI's audio
ii  libc6                     2.3.6.ds1-13   GNU C Library: Shared libraries
ii  libesd0                   0.2.36-3       Enlightened Sound Daemon - Shared 
ii  libgcc1                   1:4.1.1-21     GCC support library
ii  libglib2.0-0              2.12.4-2       The GLib library of C routines
ii  libice6                   1:1.0.1-2      X11 Inter-Client Exchange library
ii  libjack0.100.0-0          0.101.1-2      JACK Audio Connection Kit (librari
ii  libmad0                   0.15.1b-2.1    MPEG audio decoder library
ii  libogg0                   1.1.3-2        Ogg Bitstream Library
ii  libpng12-0                1.2.15~beta5-1 PNG library - runtime
ii  libqt3-mt                 3:3.3.7-3      Qt GUI Library (Threaded runtime v
ii  libsm6                    1:1.0.1-3      X11 Session Management library
ii  libstdc++6                4.1.1-21       The GNU Standard C++ Library v3
ii  libvorbis0a               1.1.2.dfsg-1.2 The Vorbis General Audio Compressi
ii  libvorbisenc2             1.1.2.dfsg-1.2 The Vorbis General Audio Compressi
ii  libvorbisfile3            1.1.2.dfsg-1.2 The Vorbis General Audio Compressi
ii  libx11-6                  2:1.0.3-6      X11 client-side library
ii  libxext6                  1:1.0.1-2      X11 miscellaneous extension librar
ii  libxt6                    1:1.0.2-2      X11 toolkit intrinsics library
ii  zlib1g                    1:1.2.3-13     compression library - runtime

Versions of packages libarts1c2a recommends:
ii  libarts1-akode                4:3.5.5-2  akode plugin for aRts

-- no debconf information

--- End Message ---
--- Begin Message ---
I'm closing this old bug report as there's a workaround provided in
the bug report.

--- End Message ---

Reply to: